import { Atom } from "../../atom";
import { OverlayAtom } from "../overlay/overlay.atom";
import { SelectV2OptionAtom } from "./select-v2-option.atom";
export declare class BaseSelectV2Atom extends Atom {
    popup: OverlayAtom;
    getPopupElement(): import("protractor").ElementFinder;
    /**
     * Note: Despite its name, this method will only OPEN the dropdown. To toggle it closed, use this
     * Atom's "click" method.
     */
    toggle(): Promise<void>;
    getOption(index: number): Promise<SelectV2OptionAtom>;
    getFirstOption(): Promise<SelectV2OptionAtom>;
    getLastOption(): Promise<SelectV2OptionAtom>;
    countOptions(): Promise<number>;
    /**
     * Note: This method checks whether ANY 'cdk-overlay-pane' on the document body is present
     * (not just this dropdown instance). Close any other cdk-overlay-pane instances before invoking this
     * method to ensure an accurate return value.
     */
    isOpened(): Promise<boolean>;
    getActiveItemsCount(): Promise<number>;
    type(text: string): Promise<void>;
    click: () => Promise<void>;
    isSelectDisabled(): Promise<boolean>;
    select(title: string): Promise<void>;
    private waitForPopup;
}
